    NAME
         qacct - report and account for Sun Grid Engine usage

    SYNOPSIS
         qacct [ -ar [ar_id] ] [ -A Account ] [ -b BeginTime ]  [  -d
         Days ] [ -e EndTime ] [ -g [GroupId|GroupName] ] [ -h [Host-
         Name] ] [ -help ] [  -j  [job_id|job_name|pattern]  ]  [  -l
         attr=val,...  ]  [  -o  [Owner]  ]  [  -pe  [PEname]  ] [ -q
         [wc_queue] ] [ -slots [SlotNumber] ] [ -t task_id_range_list
         ] [ -P [Project] ] [ -D [Department] ] [ -f AcctFileName ]

    DESCRIPTION
         The qacct  utility  scans  the  accounting  data  file  (see
         accounting(5))  and  produces  a  summary of information for
         wall-clock  time,  cpu-time,  and  system   time   for   the
         categories  of hostname, queue-name, group-name, owner-name,
         job-name, job-ID and for the  queues  meeting  the  resource
         requirements  as specified with the -l switch.  Combinations
         of  each  category  are  permitted.  Alternatively,  all  or
         specific jobs can be listed with the -j switch.  For example
         the search criteria could include summarizing  for  a  queue
         and an owner, but not for two queues in the same request.

    OPTIONS
         -ar [ar_id]
              The ID of the advance reservation for  which  usage  is
              summarized.   If ar_id is not given, accounting data is
              listed for each advance reservation separately.

         -A Account
              The account for jobs to be summarized.

         -b BeginTime
              The earliest start time for jobs to be  summarized,  in
              the  format  [[CC]YY]MMDDhhmm[.SS]. See also -d option.
              If CC is not specified, a YY of < 70 means 20YY.

         -d Days
              The number of days to summarize  and  print  accounting
              information  on. If used together with the -b BeginTime
              option (see above), jobs started  within  BeginTime  to
              BeginTime + Days are counted. If used together with the
              -e EndTime (see below) option, count starts at  EndTime
              - Days.

         -e EndTime
              The latest start time for jobs to be summarized, in the
              format [[CC]YY]MMDDhhmm[.SS]. See also -d option. If CC
              is not specified, a YY of < 70 means 20YY.

         [-f AcctFileName]
              The accounting file to be used. If omitted, the  system
              default accounting file is processed.

         -g [GroupId|GroupName]
              The numeric system group id or the  group  alphanumeric
              name  of  the job owners to be included in the account-
              ing. If GroupId/GroupName is omitted,  all  groups  are
              accounted.

         -h [HostName]
              The  case-insensitive  name  of  the  host  upon  which
              accounting  information  is  requested.  If the name is
              omitted, totals for each host are listed separately.

         -help
              Display help information for the qacct command.

         -j [job_id|job_name|pattern]
              The name, a expression for matching names, or ID of the
              job  during  execution for which accounting information
              is printed. If neither a name nor an ID  is  given  all
              jobs are enlisted.
              This option changes the  output  format  of  qacct.  If
              activated,  CPU times are no longer accumulated but the
              "raw" accounting information is printed in a  formatted
              form  instead.  See accounting(5) for an explanation of
              the displayed information.

         -l attr=val,...
              A resource requirement specification which must be  met
              by  the  queues  in which the jobs being accounted were
              executing. The resource request is very similar to  the
              one described in qsub(1).

         -o [Owner]
              The name of the owner of the jobs for which  accounting
              statistics  are  assembled. If the optional Owner argu-
              ment is omitted, a listing of the accounting statistics
              of  all job owners being present in the accounting file
              is produced.

         -pe [PEname]
              The name of the parallel environment for which usage is
              summarized.  If PEname is not given, accounting data is
              listed for each parallel environment separately.

         -q [wc_queue_name]
              A expression for queues for which usage is  summarized.
              All  queue  instances  matching  the expression will be
              listed. If no expression is specified, a cluster  queue
              summary will be given.

         -slots [SlotNumber]
              The number of queue slots for which  usage  is  summar-
              ized.   If  SlotNumber is not given, accounting data is
              listed for each number of queue slots separately.

         -t task_id_range_list
              Only available together with the  -j  option  described
              above.

              The -t switch specifies the array job task  range,  for
              which  accounting information should be printed. Syntax
              and semantics of task_id_range_list  are  identical  to
              that  one  described  under  the  -t option to qsub(1).
              Please see there also for further information on  array
              jobs.

         -P [Project]
              The name of the project for which usage is  summarized.
              If  Project is not given, accounting data is listed for
              each owning project separately.

         -D [Department]
              The name of the department for which usage  is  summar-
              ized.   If  Department is not given, accounting data is
              listed for each owning department separately.

    ENVIRONMENTAL VARIABLES
         SGE_ROOT       Specifies the location of the Sun Grid Engine
                        standard configuration files.

         SGE_CELL       If set, specifies the default Sun Grid Engine
                        cell. To address a Sun Grid Engine cell qacct
                        uses (in the order of precedence):

                             The name of the cell  specified  in  the
                             environment  variable SGE_CELL, if it is
                             set.

                             The  name  of  the  default  cell,  i.e.
                             default.

         SGE_DEBUG_LEVEL
                        If  set,  specifies  that  debug  information
                        should  be written to stderr. In addition the
                        level of detail in which debug information is
                        generated is defined.

         SGE_QMASTER_PORT
                        If set,  specifies  the  tcp  port  on  which
                        sge_qmaster(8) is expected to listen for com-
                        munication requests.  Most installations will
                        use  a  services  map  entry  for the service
                        "sge_qmaster" instead to define that port.

         SGE_EXECD_PORT If set,  specifies  the  tcp  port  on  which
                        sge_execd(8)  is  expected to listen for com-
                        munication requests.  Most installations will
                        use  a  services  map  entry  for the service
                        "sge_execd" instead to define that port.

    FILES
         <sge_root>/<cell>/common/accounting
                         Sun Grid Engine default accounting file
         <xxqs_nam_sexx_root>/<cell>/common/act_qmaster
                         Sun Grid Engine master host file

    SEE ALSO
         sge_intro(1), qsub(1), accounting(5), sge_qmaster(8),

    COPYRIGHT
         See sge_intro(1) for a full statement of rights and  permis-
         sions.